from setuptools import setup, find_packages

setup(
    name="drf-payment-khm",
    version="0.1.0",
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "django>=3.8",
        "httpx",
        "pycryptodome",
    ],
    zip_safe=False,
    description="A minimal payment gateway for Django REST Framework",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    keywords=[
        "django",
        "djangorestframework",
        "drf",
        "drf-payment-khm",
    ],
    url="https://github.com/devit-chea/drf-payment-khm",
    author="Devit Chea",
    author_email="devit.chea1998@gmail.com",
    license="MIT",
    python_requires=">=3.10,<4",
    classifiers=[
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: Implementation :: PyPy",
        "Development Status :: 4 - Beta",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
)
