from django.conf import settings


class WingPaymentSettingsError(Exception):
    """Raised when settings be bad."""
    

# Payload for oauth token
WING_USERNAME = getattr(settings, "WING_USERNAME", None)
WING_PASSWORD = getattr(settings, "WING_PASSWORD", None)
WING_CLIENT_ID = getattr(settings, "WING_CLIENT_ID", None)
WING_CLIENT_SECRET = getattr(settings, "WING_CLIENT_SECRET", None)
WING_GRANT_TYPE = getattr(settings, "WING_GRANT_TYPE", "password")

# API endpoints
REQUEST_ACCESS_TOKEN_ENDPOINTS = "https://ir.wingmoney.com:9443/RestEngine/oauth/token"
CREATE_DEEPLINK_ENDPOINTS = "https://ir.wingmoney.com:9443/RestEngine/api/v1/generatedeeplink"
CREATE_KHQR_ENDPOINTS = "https://ir.wingmoney.com:9443/RestEngine/api/v1/generatekhqr"
CHECK_TXN_STATUS_ENDPOINTS = "https://ir.wingmoney.com:9443/RestEngine/api/v1/checktxnstatus"

# Salt key
WING_SALT_KEY = getattr(settings, "WING_SALT_KEY", 'PBKDF2')
